eio_fallocate
eio_fchown
Eio Functions
PHP Manual

# eio_fchmod

Change file permissions.

### Description

resource eio_fchmod ( mixed `$fd` , int `$mode` [, int `$pri` = EIO_PRI_DEFAULT [, callable `$callback` = NULL [, mixed `$data` = NULL ]]] )

eio_fchmod changes permissions for the file specified by `fd` file descriptor.

### Parameters

`fd`

  Stream, Socket resource, or numeric file descriptor, e.g. returned by eio_open.

`mode`

  The new permissions. E.g. 0644.

`pri`

  The request priority: `EIO_PRI_DEFAULT`, `EIO_PRI_MIN`, `EIO_PRI_MAX`, or `NULL`. If `NULL` passed, `pri` internally is set to `EIO_PRI_DEFAULT`.

`callback`

  `callback` function is called when the request is done. It should match the following prototype:

  `void callback(mixed $data, int $result[, resource $req]);`
  `data`

    is custom data passed to the request.

  `result`

    request-specific result value; basically, the value returned by corresponding system call.

  `req`

    is optional request resource which can be used with functions like eio_get_last_error

`data`

  Arbitrary variable passed to `callback`.

### Return Values

eio_fchmod returns request resource on success or `FALSE` on error.

### See Also

- eio_fchown